package WEB-INF.classes.wenrgise.ejb.help.facade;

import java.util.ArrayList;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;
import wenrgise.common.exception.EnrgiseApplicationException;
import wenrgise.common.exception.EnrgiseSystemException;
import wenrgise.ejb.help.business.SearchBO;

public class HelpFacadeBean implements SessionBean {
  public void ejbCreate() {}
  
  public void ejbActivate() {}
  
  public void ejbPassivate() {}
  
  public void ejbRemove() {}
  
  public void setSessionContext(SessionContext ctx) {}
  
  public ArrayList getChapterList(String sText, String sModuleId) throws EnrgiseSystemException, EnrgiseApplicationException {
    SearchBO oSearchBO = new SearchBO();
    return oSearchBO.getChapterDetails(sText, sModuleId);
  }
}
